
#include "r_device.h"
#include "interrupts.h"
#include "RSCAN.h"
#include "..\UART\UART.h"
#include "..\RIIC\RIIC.h"
#include "..\touch_screen\BSP\BSP.h"

#if INTOSTM0_ENABLE
#pragma ghs interrupt
void INTOSTM0(void)
{
    BSP_FTM0_IRQHandler();
}
#endif

#if INTRCAN0TRX_ENABLE
#pragma ghs interrupt
void INTRCAN0TRX(void)
{
    RSCAN0_CH0_TX_ISR();
}
#endif
#if INTRCAN1TRX_ENABLE
#pragma ghs interrupt
void INTRCAN1TRX(void)
{
    RSCAN0_CH1_TX_ISR();
}
#endif
#if INTRCAN2TRX_ENABLE
#pragma ghs interrupt
void INTRCAN2TRX(void)
{
    RSCAN0_CH2_TX_ISR();
}
#endif
#if INTRCAN3TRX_ENABLE
#pragma ghs interrupt
void INTRCAN3TRX(void)
{
    RSCAN0_CH3_TX_ISR();
}
#endif
#if INTRCAN4TRX_ENABLE
#pragma ghs interrupt
void INTRCAN4TRX(void)
{
    RSCAN0_CH4_TX_ISR();
}
#endif
#if INTRCAN5TRX_ENABLE
#pragma ghs interrupt
void INTRCAN5TRX(void)
{
    RSCAN0_CH5_TX_ISR();
}
#endif

#if INTRCAN0REC_ENABLE
#pragma ghs interrupt
void INTRCAN0REC(void)
{
    RSCAN0_CH0_RX_ISR();
}
#endif
#if INTRCAN1REC_ENABLE
#pragma ghs interrupt
void INTRCAN1REC(void)
{
    RSCAN0_CH1_RX_ISR();
}
#endif
#if INTRCAN2REC_ENABLE
#pragma ghs interrupt
void INTRCAN2REC(void)
{
    RSCAN0_CH2_RX_ISR();
}
#endif
#if INTRCAN3REC_ENABLE
#pragma ghs interrupt
void INTRCAN3REC(void)
{
    RSCAN0_CH3_RX_ISR();
}
#endif
#if INTRCAN4REC_ENABLE
#pragma ghs interrupt
void INTRCAN4REC(void)
{
    RSCAN0_CH4_RX_ISR();
}
#endif
#if INTRCAN5REC_ENABLE
#pragma ghs interrupt
void INTRCAN5REC(void)
{
    RSCAN0_CH5_RX_ISR();
}
#endif

#if INTRLIN30UR0_ENABLE
#pragma ghs interrupt
void INTRLIN30UR0(void)
{
    UART_CH0_TX_ISR();
}
#endif
#if INTRLIN30UR1_ENABLE
#pragma ghs interrupt
void INTRLIN30UR1(void)
{
    UART_CH0_RX_ISR();
    //UART_CH0_RX_ISR(); 
    //UART_CH0_RX_ISR();
    //UART_CH0_RX_ISR(); 
    //UART_CH0_RX_ISR();
}
#endif
#if INTRLIN30UR2_ENABLE
#pragma ghs interrupt
void INTRLIN30UR2(void)
{
    UART_CH0_Err_ISR();
}
#endif

#if INTRLIN31UR0_ENABLE
#pragma ghs interrupt
void INTRLIN31UR0(void)
{
    UART_CH1_TX_ISR();
}
#endif
#if INTRLIN31UR1_ENABLE
#pragma ghs interrupt
void INTRLIN31UR1(void)
{
    UART_CH1_RX_ISR();
    UART_CH1_RX_ISR(); 
    UART_CH1_RX_ISR();
    UART_CH1_RX_ISR(); 
    UART_CH1_RX_ISR();
}
#endif
#if INTRLIN31UR2_ENABLE
#pragma ghs interrupt
void INTRLIN31UR2(void)
{
    UART_CH1_Err_ISR();
}
#endif

#if INTRLIN32UR0_ENABLE
#pragma ghs interrupt
void INTRLIN32UR0(void)
{
    UART_CH2_TX_ISR();
}
#endif
#if INTRLIN32UR1_ENABLE
#pragma ghs interrupt
void INTRLIN32UR1(void)
{
    UART_CH2_RX_ISR();
  UART_CH2_RX_ISR(); 
    UART_CH2_RX_ISR();
  UART_CH2_RX_ISR(); 
    UART_CH2_RX_ISR();
}
#endif
#if INTRLIN32UR2_ENABLE
#pragma ghs interrupt
void INTRLIN32UR2(void)
{
    UART_CH2_Err_ISR();
}
#endif

#if INTRLIN33UR0_ENABLE
#pragma ghs interrupt
void INTRLIN33UR0(void)
{
    UART_CH3_TX_ISR();
}
#endif
#if INTRLIN33UR1_ENABLE
#pragma ghs interrupt
void INTRLIN33UR1(void)
{
    UART_CH3_RX_ISR();
  UART_CH3_RX_ISR(); 
    UART_CH3_RX_ISR();
  UART_CH3_RX_ISR(); 
    UART_CH3_RX_ISR();
}
#endif
#if INTRLIN33UR2_ENABLE
#pragma ghs interrupt
void INTRLIN33UR2(void)
{
    UART_CH3_Err_ISR();
}
#endif

#if INTTAUB0I0_ENABLE
#pragma ghs interrupt
void INTTAUB0I0(void)
{
}
#endif
#if INTTAUB0I1_ENABLE
#pragma ghs interrupt
void INTTAUB0I1(void)
{
}
#endif
#if INTTAUB0I2_ENABLE
#pragma ghs interrupt
void INTTAUB0I2(void)
{
}
#endif
#if INTTAUB0I3_ENABLE
#pragma ghs interrupt
void INTTAUB0I3(void)
{
}
#endif
#if INTTAUB0I4_ENABLE
#pragma ghs interrupt
void INTTAUB0I4(void)
{
}
#endif
#if INTTAUB0I5_ENABLE
#pragma ghs interrupt
void INTTAUB0I5(void)
{
}
#endif
#if INTTAUB0I6_ENABLE
#pragma ghs interrupt
void INTTAUB0I6(void)
{
}
#endif
#if INTTAUB0I7_ENABLE
#pragma ghs interrupt
void INTTAUB0I7(void)
{
}
#endif
#if INTTAUB0I8_ENABLE
#pragma ghs interrupt
void INTTAUB0I8(void)
{
}
#endif
#if INTTAUB0I9_ENABLE
#pragma ghs interrupt
void INTTAUB0I9(void)
{
}
#endif
#if INTTAUB0I10_ENABLE
#pragma ghs interrupt
void INTTAUB0I10(void)
{
}
#endif
#if INTTAUB0I11_ENABLE
#pragma ghs interrupt
void INTTAUB0I11(void)
{
}
#endif
#if INTTAUB0I12_ENABLE
#pragma ghs interrupt
void INTTAUB0I12(void)
{
}
#endif
#if INTTAUB0I13_ENABLE
#pragma ghs interrupt
void INTTAUB0I13(void)
{
}
#endif
#if INTTAUB0I14_ENABLE
#pragma ghs interrupt
void INTTAUB0I14(void)
{
}
#endif
#if INTTAUB0I15_ENABLE
#pragma ghs interrupt
void INTTAUB0I15(void)
{
}
#endif


#if INTRIIC0TI_ENABLE
#pragma ghs interrupt
void INTRIIC0TI(void)
{
RIIC0_TX_ISR();
}
#endif
#if INTRIIC0EE_ENABLE
#pragma ghs interrupt
void INTRIIC0EE(void)
{
RIIC0_Event_ISR();
}
#endif
#if INTRIIC0RI_ENABLE
#pragma ghs interrupt
void INTRIIC0RI(void)
{
RIIC0_RX_End_ISR();
}
#endif
#if INTRIIC0TEI_ENABLE
#pragma ghs interrupt
void INTRIIC0TEI(void)
{
RIIC0_TX_End_ISR();
}
#endif

#if INTRIIC1TI_ENABLE
#pragma ghs interrupt
void INTRIIC1TI(void)
{
RIIC1_TX_ISR();
}
#endif
#if INTRIIC1EE_ENABLE
#pragma ghs interrupt
void INTRIIC1EE(void)
{
RIIC1_Event_ISR();
}
#endif
#if INTRIIC1RI_ENABLE
#pragma ghs interrupt
void INTRIIC1RI(void)
{
RIIC1_RX_End_ISR();
}
#endif
#if INTRIIC1TEI_ENABLE
#pragma ghs interrupt
void INTRIIC1TEI(void)
{
RIIC1_TX_End_ISR();
}
#endif

#if INTP2_ENABLE
#pragma ghs interrupt
void INTP2(void)
{
   BSP_TOUCH_IRQHandler(); 
}
#endif



